From b4512a4465caea229e7d94db1f456cf67209bdb7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 27 2020 20:32:22 +0000
Subject: [PATCH 1805/2232] Test rust::Slice indexing


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index e508494..05ff4b8 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -274,7 +274,8 @@ void c_take_slice_char(rust::Slice<const char> s) {
 }
 
 void c_take_slice_shared(rust::Slice<const Shared> s) {
-  if (s.size() == 2 && s.data()->z == 2020 && (s.data() + 1)->z == 2021) {
+  if (s.size() == 2 && s.data()->z == 2020 && s[1].z == 2021 &&
+      s.at(1).z == 2021 && s.front().z == 2020 && s.back().z == 2021) {
     cxx_test_suite_set_correct();
   }
 }

